Ruby 2.0.0p247(2013-06-27revision41674)

- Main Page
- Modules
- Data Structures
- Files

- Data Structures
- Data Structure Index
- Data Fields

Data Fields
rb_trace_arg_struct Struct Reference

`#include <vm_core.h>`

## Data Fields
rb_event_flag_t | event
rb_thread_t * | th
rb_control_frame_t * | cfp
VALUE | self
ID | id
VALUE | klass
VALUE | data
int | klass_solved
int | lineno
VALUE | path

## Detailed Description

Definition at line 955 of file vm_core.h.

## Field Documentation

rb_control_frame_t* rb_trace_arg_struct::cfp

Definition at line 958 of file vm_core.h.

Referenced by fill_id_and_klass(), fill_path_and_lineno(), and rb_tracearg_binding().

VALUE rb_trace_arg_struct::data

Definition at line 962 of file vm_core.h.

Referenced by rb_tracearg_raised_exception(), rb_tracearg_return_value(), and tracepoint_new().

rb_event_flag_t rb_trace_arg_struct::event

Definition at line 956 of file vm_core.h.

Referenced by exec_hooks(), rb_threadptr_exec_event_hooks_orig(), rb_tracearg_event(), rb_tracearg_raised_exception(), rb_tracearg_return_value(), and tracepoint_inspect().

ID rb_trace_arg_struct::id

Definition at line 960 of file vm_core.h.

Referenced by exec_hooks(), fill_id_and_klass(), and rb_tracearg_method_id().

VALUE rb_trace_arg_struct::klass

Definition at line 961 of file vm_core.h.

Referenced by exec_hooks(), fill_id_and_klass(), and rb_tracearg_defined_class().

int rb_trace_arg_struct::klass_solved

Definition at line 964 of file vm_core.h.

Referenced by fill_id_and_klass().

int rb_trace_arg_struct::lineno

Definition at line 967 of file vm_core.h.

Referenced by fill_path_and_lineno(), and rb_tracearg_lineno().

VALUE rb_trace_arg_struct::path

Definition at line 968 of file vm_core.h.

Referenced by fill_path_and_lineno(), and rb_tracearg_path().

VALUE rb_trace_arg_struct::self

Definition at line 959 of file vm_core.h.

Referenced by exec_hooks(), rb_threadptr_exec_event_hooks_orig(), and rb_tracearg_self().

rb_thread_t* rb_trace_arg_struct::th

Definition at line 957 of file vm_core.h.

Referenced by fill_path_and_lineno(), rb_threadptr_exec_event_hooks_orig(), and rb_tracearg_binding().

The documentation for this struct was generated from the following file:

- vm_core.h